/********************************************************/
/*                                                      */
/* Copyright (c) 1993 by Automated Process Control      */
/*                       106 Business Park Drive        */
/*                       Jackson, Ms. 39213             */
/*                       Ph  (601) 956-2800             */
/*                       FAX (601) 956-9777             */
/*                                                      */
/* SPX 16 Bit Interface -- Library Routine              */
/*                                                      */
/*  File    : SPX_EOFP.C                                */
/*  Subject : End Of Frame Polling Routines             */
/*  Version : 1.00                                      */
/*  Author  : Philip E. Foster                          */
/*  Date    : July 16, 1993                             */
/*                                                      */
/*  Code Compliance : Microsoft C 6.0a with ANSI C      */
/*                    language switch selected and      */
/*                    level 4 warnings                  */
/*                                                      */
/********************************************************/

#include "spx_c16.h"

/********************************************************/
/*                                                      */
/* wait_eof(ifbase, count)                              */
/*  Parameters : ifbase is a "SPX_TYPE far *" to the    */
/*                      base address of the interface   */
/*                      array.                          */
/*               count is the number of EOFs to wait    */
/*                      before returning to the caller  */
/*  Returns    : 0 if successful                        */
/*               X_STATUS masked to the fault status    */
/*                      bits if unsuccessful            */
/*                                                      */
/********************************************************/

unsigned short wait_eof(SPX_TYPE far *ifbase, int count)
{
    unsigned short status;

    rst_int_stat(ifbase, __FRAME_INT);

    while(count)
    {
        if(int_stat(ifbase, __FRAME_INT))
        {
            rst_int_stat(ifbase, __FRAME_INT);
            count--;
        }
        if((status=if_statb(ifbase, __FAULT_MASK)) != 0)
            return(status);
    }
    return((unsigned short)0);
}
